
QGIS Application - Bug report #11440

sip module implements API v11.0 to v11.1 but the qgis.core module requires API v10.1

2014-10-18 11:59 PM - Miran Bozicevic

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Sabayon GNU/Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 19716

Description

QGIS doesn't load PyQGIS with python 2.7 on Sabayon GNU/Linux, failing with the above error message.  I saw there was a similar

issue, bug #10174, closed with the explanation that QGIS is shipped with PyQt.  Apparently the Sabayon version is not.  I'm using the

regular Sabayon weekly build which includes sip 4.16.3 and pyqt 4.11.2.

The application works fine but I need PyQGIS to use & modify contributed plugins.  The problem may be on your end, or with the way

Sabayon packages the application, or just with the fact that they're providing an old QGIS version.

I'll try tinkering further on my own, but I'm sure less technically inclined users are having the same problem.  Any recommendations or

assistance are welcome and appreciated.  Thank you!

History

#1 - 2014-10-20 02:03 PM - Matthias Kuhn

- Status changed from Open to Feedback

For reference: https://bugs.sabayon.org/show_bug.cgi?id=4824

Did you try to recompile the application? I suspect the QGIS python bindings have been compiled against an older version of sip.

#2 - 2014-10-20 03:47 PM - Miran Bozicevic

Hello Matthias, thanks for the quick reply & for linking to my bug report on Sabayon.  I just compiled QGIS 2.4 -- that's what I meant by tinkering further --

and it seems functional with my present setup, complete with PyQGIS.  The only extra thing I needed to do was install spatialite, which isn't managed as a

Sabayon entropy package, but is available via Gentoo portage.

I can work with what I have, and hopefully Sabayon will update the package in their distro.

#3 - 2014-10-20 11:28 PM - Matthias Kuhn

- Resolution set to up/downstream

- Status changed from Feedback to Closed

Hi Miran,

Nice that it works for you.

I hope that Sabayon people will take care of recompiling, now that they've got your report.
